import { CanActivate, ExecutionContext } from '@nestjs/common';
import { CacheService } from '@multiversx/sdk-nestjs-cache';
import { MxnestConfigService } from '@multiversx/sdk-nestjs-common';
export declare class JwtOrNativeAuthGuard implements CanActivate {
    private readonly mxnestConfigService;
    private readonly cacheService?;
    constructor(mxnestConfigService: MxnestConfigService, cacheService?: CacheService | undefined);
    canActivate(context: ExecutionContext): Promise<boolean>;
}
